## Struct less

boost::log::less — Less predicate.

## Synopsis

    // In header: <boost/log/utility/functional/logical.hpp>

    struct less {
      // types
      typedef bool result_type;

      // public member functions
      template<typename T, typename U> bool operator()(T const &, U const &) const;

      // private static functions
      template<typename T, typename U>
        static bool op(T const &, U const &, false_type);
      template<typename T, typename U>
        static bool op(T const &, U const &, true_type);
    };

## Description

### `less` public member functions

1.     template<typename T, typename U>
         bool operator()(T const & left, U const & right) const;

### `less` private static functions

1.     template<typename T, typename U>
         static bool op(T const & left, U const & right, false_type);

2.     template<typename T, typename U>
         static bool op(T const & left, U const & right, true_type);